| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiAud::GaudiAudConf::AlgErrorAuditor Class Reference

List of all members.

## Detailed Description

Definition at line 78 of file GaudiAudConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiAud::GaudiAudConf::AlgErrorAuditor::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 89 of file GaudiAudConf.py.

    00089                                                                :
    00090       super(AlgErrorAuditor, self).__init__(name)
    00091       for n,v in kwargs.items():
    00092          setattr(self, n, v)
      def getDlls( self ):

def GaudiAud::GaudiAudConf::AlgErrorAuditor::getDlls | ( |  | self | ) |

Definition at line 93 of file GaudiAudConf.py.

    00093                      :
    00094       return 'GaudiAud'
      def getType( self ):

def GaudiAud::GaudiAudConf::AlgErrorAuditor::getType | ( |  | self | ) |

Definition at line 95 of file GaudiAudConf.py.

    00095                      :
    00096       return 'AlgErrorAuditor'
      pass # class AlgErrorAuditor

## Member Data Documentation

dictionary GaudiAud::GaudiAudConf::AlgErrorAuditor::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'Enable' : True, # bool
        'Abort' : False, # bool
        'Throw' : False, # bool
      }

Definition at line 79 of file GaudiAudConf.py.

dictionary GaudiAud::GaudiAudConf::AlgErrorAuditor::_propertyDocDct`[static, private]`

Initial value:

    {
        'Abort' : """ Abort job upon illegal Algorithm return code """,
        'Throw' : """ Throw GaudiException upon illegal Algorithm return code """,
      }

Definition at line 85 of file GaudiAudConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiAud/genConf/GaudiAud/GaudiAudConf.py